Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 604062 - Graphics getting distorted at times
Graphics getting distorted at times
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-15 06:43 EDT by Pratyush Sahay
Modified: 2018-04-11 04:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:16:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of the distortion in graphics in Fedora 13 Intel display driver (395.14 KB, image/png)
2010-06-15 06:43 EDT, Pratyush Sahay
no flags Details
output of dmesg (121.79 KB, text/plain)
2010-07-29 07:02 EDT, Pratyush Sahay
no flags Details
contents of Xorg.0.log file (214.34 KB, text/plain)
2010-07-29 07:03 EDT, Pratyush Sahay
no flags Details
contents of Xorg.9.log file (34.60 KB, text/plain)
2010-07-29 07:04 EDT, Pratyush Sahay
no flags Details
contents of /var/log/messages file (775.06 KB, text/plain)
2010-07-29 07:05 EDT, Pratyush Sahay
no flags Details
Latest screenshot of Graphics distortion observed (430.77 KB, image/png)
2010-07-29 07:08 EDT, Pratyush Sahay
no flags Details
Latest screenshot of Graphics distortion observed_after mouse select (703.78 KB, image/png)
2010-07-29 07:10 EDT, Pratyush Sahay
no flags Details

  None (edit)
Description Pratyush Sahay 2010-06-15 06:43:01 EDT
Created attachment 424106 [details]
Screenshot of the distortion in graphics in Fedora 13 Intel display driver

Description of problem: I have a Thinkpad R60, Intel display driver. Have been noticing graphics distortion as shown in the attachment. This does not happen frequently, but have been noticing it every 2-3 days.


Version-Release number of selected component (if applicable): Fedora 13


How reproducible: Not too frequent, but still happens. to remove the distortion, i just mouse-select the blackened region and it disappers. Am not too sure under which component to exactly file this bug.


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matěj Cepl 2010-06-20 17:48:00 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, WAIT UNTIL THE ISSUE HAPPENS, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Pratyush Sahay 2010-07-29 07:02:11 EDT
Created attachment 435248 [details]
output of dmesg

The grpahics distortion occured today again, attaching all the requested info.
Comment 3 Pratyush Sahay 2010-07-29 07:03:52 EDT
Created attachment 435249 [details]
contents of Xorg.0.log file
Comment 4 Pratyush Sahay 2010-07-29 07:04:28 EDT
Created attachment 435250 [details]
contents of Xorg.9.log file
Comment 5 Pratyush Sahay 2010-07-29 07:05:33 EDT
Created attachment 435251 [details]
contents of /var/log/messages file
Comment 6 Pratyush Sahay 2010-07-29 07:08:35 EDT
Created attachment 435253 [details]
Latest screenshot of Graphics distortion observed
Comment 7 Pratyush Sahay 2010-07-29 07:10:31 EDT
Created attachment 435255 [details]
Latest screenshot of Graphics distortion observed_after mouse select
Comment 8 Pratyush Sahay 2010-07-29 07:14:12 EDT
The graphic distortion was observed again, though after a really long time. My F13 is updated till yesterday. The files requested for in the needinfo query have been attached.. the /etc/X11/xorg.conf file wasnt available.
Comment 9 Bug Zapper 2011-06-02 06:47:40 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2011-06-27 14:16:27 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.